Subject: Re: [IPSEC] Move hardware headers for decaped packets

From: "David S. Miller" <[email-masked]>
Date: Sun, 7 Dec 2003 16:55:16 -0800

On Sun, 7 Dec 2003 20:55:27 +1100
Herbert Xu <[email-masked]> wrote:

> On Sun, Dec 07, 2003 at 01:47:14AM -0800, David S. Miller wrote:
> >
> > Ok, I'll review this again.  Did you audit the tree to make sure you
> > updated mac_len everywhere that 'skb->mac.*' is modified?
> 
> To be honest, no.  The reason is that my use of mac_len starts from
> netif_receive_skb and ends just before the reentrance into netif_rx
> in xfrm[46]_input.
> 
> At the start of that path, mac_len is initialised from a value that
> we know to be correct.  I have also verified that within the path,
> nobody expands/contracts the MAC header.

Ok, we can make it a receive only thing at first, I guess.

But I think this will definitely need to be deferred to
2.6.1 at least, along with that XFRM device unload fix you
sent me the other week.

Linus really only wants the obvious one-liners at this point
for 2.6.0

Thanks.